package cz.muni.fi.pa165.authorization.server.rest;

import cz.muni.fi.pa165.authorization.server.api.UserApiDelegate;
import cz.muni.fi.pa165.authorization.server.model.UserDto;
import cz.muni.fi.pa165.authorization.server.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class UserController implements UserApiDelegate {

    private final UserService userService;

    @Autowired
    public UserController(UserService userService) {
        this.userService = userService;
    }

    @Override
    public ResponseEntity<UserDto> getUserById(Long id) {
        return ResponseEntity.ok(userService.getUserById(id));
    }
}
