package cz.muni.fi.pa165.report.server;
import cz.muni.fi.pa165.report.server.api.ReportApiDelegate;
import org.springframework.core.io.ByteArrayResource;
import org.springframework.core.io.Resource;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

import java.io.*;


@RestController
public class ReportController implements ReportApiDelegate{

    @Override
    public ResponseEntity<Resource> getReportFlightById(Long id){

        ClassLoader classLoader = getClass().getClassLoader();

        HttpHeaders headers = new HttpHeaders();
        headers.add("Content-Type", "application/pdf");
        headers.add("Content-Disposition", "attachment; filename=labels.pdf");

        // the stream holding the file content

        // funny, if can use Java 7, please uses Files.readAllBytes(path)
        try(InputStream inputStream = classLoader.getResourceAsStream("sample.pdf")){
            byte[] bytes = new byte[inputStream.available()];
            inputStream.read(bytes);
            ByteArrayResource resource = new ByteArrayResource(bytes);
            return new ResponseEntity<>(resource, headers, HttpStatus.OK);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public ResponseEntity<Resource> getReportAirportById(Long id){

        return getReportFlightById(id);
    }
    @Override
    public ResponseEntity<Resource> getReportAirplaneById(Long id){

        return getReportFlightById(id);
    }
}

